Attach Documents to Associated Party V2
curl --request POST \
--url https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associated_party_attachments": [
{
"associated_party_id": "f6b13e01-044a-4f74-a70b-d5f66b6449af",
"identifying_documents": [
{
"type": "PASSPORT",
"number": "A12345678",
"country": "USA",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"files": [
{
"uri": "/AbAcQ4hn_0652746727637.pdf"
}
]
},
{
"type": "DRIVERS_LICENSE",
"number": "DL987654321",
"country": "USA",
"issue_date": "2019-06-01",
"expiry_date": "2029-06-01",
"files": [
{
"side": "FRONT",
"uri": "/AbAcQ4hn_0652746727645.pdf"
},
{
"side": "BACK",
"uri": "/AbAcQ4hn_0652746727646.pdf"
}
]
}
],
"address_documents": [
{
"type": "BANK_STATEMENT",
"files": [
{
"uri": "/AbAcQ4hn_0652746727638.pdf"
}
]
}
],
"supporting_documents": []
},
{
"associated_party_id": "f71dc19f-b9a0-49fb-bd2d-5add3c01626e",
"identifying_documents": [
{
"type": "NATIONAL_ID",
"number": "NID-987654",
"country": "USA",
"issue_date": "2021-03-10",
"expiry_date": "2031-03-10",
"files": [
{
"side": "FRONT",
"uri": "/XyZ123mn_0652746727650.pdf"
},
{
"side": "BACK",
"uri": "/XyZ123mn_0652746727651.pdf"
}
]
}
],
"address_documents": [
{
"type": "UTILITY_BILL",
"files": [
{
"uri": "/XyZ123mn_0652746727652.pdf"
}
]
}
]
}
]
}
'const url = 'https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associated_party_attachments: [
{
associated_party_id: 'f6b13e01-044a-4f74-a70b-d5f66b6449af',
identifying_documents: [
{
type: 'PASSPORT',
number: 'A12345678',
country: 'USA',
issue_date: '2020-01-15',
expiry_date: '2030-01-15',
files: [{uri: '/AbAcQ4hn_0652746727637.pdf'}]
},
{
type: 'DRIVERS_LICENSE',
number: 'DL987654321',
country: 'USA',
issue_date: '2019-06-01',
expiry_date: '2029-06-01',
files: [
{side: 'FRONT', uri: '/AbAcQ4hn_0652746727645.pdf'},
{side: 'BACK', uri: '/AbAcQ4hn_0652746727646.pdf'}
]
}
],
address_documents: [{type: 'BANK_STATEMENT', files: [{uri: '/AbAcQ4hn_0652746727638.pdf'}]}],
supporting_documents: []
},
{
associated_party_id: 'f71dc19f-b9a0-49fb-bd2d-5add3c01626e',
identifying_documents: [
{
type: 'NATIONAL_ID',
number: 'NID-987654',
country: 'USA',
issue_date: '2021-03-10',
expiry_date: '2031-03-10',
files: [
{side: 'FRONT', uri: '/XyZ123mn_0652746727650.pdf'},
{side: 'BACK', uri: '/XyZ123mn_0652746727651.pdf'}
]
}
],
address_documents: [{type: 'UTILITY_BILL', files: [{uri: '/XyZ123mn_0652746727652.pdf'}]}]
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"associated_party_attachments\": [\n {\n \"associated_party_id\": \"f6b13e01-044a-4f74-a70b-d5f66b6449af\",\n \"identifying_documents\": [\n {\n \"type\": \"PASSPORT\",\n \"number\": \"A12345678\",\n \"country\": \"USA\",\n \"issue_date\": \"2020-01-15\",\n \"expiry_date\": \"2030-01-15\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727637.pdf\"\n }\n ]\n },\n {\n \"type\": \"DRIVERS_LICENSE\",\n \"number\": \"DL987654321\",\n \"country\": \"USA\",\n \"issue_date\": \"2019-06-01\",\n \"expiry_date\": \"2029-06-01\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/AbAcQ4hn_0652746727645.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/AbAcQ4hn_0652746727646.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"BANK_STATEMENT\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727638.pdf\"\n }\n ]\n }\n ],\n \"supporting_documents\": []\n },\n {\n \"associated_party_id\": \"f71dc19f-b9a0-49fb-bd2d-5add3c01626e\",\n \"identifying_documents\": [\n {\n \"type\": \"NATIONAL_ID\",\n \"number\": \"NID-987654\",\n \"country\": \"USA\",\n \"issue_date\": \"2021-03-10\",\n \"expiry_date\": \"2031-03-10\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/XyZ123mn_0652746727650.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/XyZ123mn_0652746727651.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"UTILITY_BILL\",\n \"files\": [\n {\n \"uri\": \"/XyZ123mn_0652746727652.pdf\"\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach"
payload = { "associated_party_attachments": [
{
"associated_party_id": "f6b13e01-044a-4f74-a70b-d5f66b6449af",
"identifying_documents": [
{
"type": "PASSPORT",
"number": "A12345678",
"country": "USA",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"files": [{ "uri": "/AbAcQ4hn_0652746727637.pdf" }]
},
{
"type": "DRIVERS_LICENSE",
"number": "DL987654321",
"country": "USA",
"issue_date": "2019-06-01",
"expiry_date": "2029-06-01",
"files": [
{
"side": "FRONT",
"uri": "/AbAcQ4hn_0652746727645.pdf"
},
{
"side": "BACK",
"uri": "/AbAcQ4hn_0652746727646.pdf"
}
]
}
],
"address_documents": [
{
"type": "BANK_STATEMENT",
"files": [{ "uri": "/AbAcQ4hn_0652746727638.pdf" }]
}
],
"supporting_documents": []
},
{
"associated_party_id": "f71dc19f-b9a0-49fb-bd2d-5add3c01626e",
"identifying_documents": [
{
"type": "NATIONAL_ID",
"number": "NID-987654",
"country": "USA",
"issue_date": "2021-03-10",
"expiry_date": "2031-03-10",
"files": [
{
"side": "FRONT",
"uri": "/XyZ123mn_0652746727650.pdf"
},
{
"side": "BACK",
"uri": "/XyZ123mn_0652746727651.pdf"
}
]
}
],
"address_documents": [
{
"type": "UTILITY_BILL",
"files": [{ "uri": "/XyZ123mn_0652746727652.pdf" }]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach"
payload := strings.NewReader("{\n \"associated_party_attachments\": [\n {\n \"associated_party_id\": \"f6b13e01-044a-4f74-a70b-d5f66b6449af\",\n \"identifying_documents\": [\n {\n \"type\": \"PASSPORT\",\n \"number\": \"A12345678\",\n \"country\": \"USA\",\n \"issue_date\": \"2020-01-15\",\n \"expiry_date\": \"2030-01-15\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727637.pdf\"\n }\n ]\n },\n {\n \"type\": \"DRIVERS_LICENSE\",\n \"number\": \"DL987654321\",\n \"country\": \"USA\",\n \"issue_date\": \"2019-06-01\",\n \"expiry_date\": \"2029-06-01\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/AbAcQ4hn_0652746727645.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/AbAcQ4hn_0652746727646.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"BANK_STATEMENT\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727638.pdf\"\n }\n ]\n }\n ],\n \"supporting_documents\": []\n },\n {\n \"associated_party_id\": \"f71dc19f-b9a0-49fb-bd2d-5add3c01626e\",\n \"identifying_documents\": [\n {\n \"type\": \"NATIONAL_ID\",\n \"number\": \"NID-987654\",\n \"country\": \"USA\",\n \"issue_date\": \"2021-03-10\",\n \"expiry_date\": \"2031-03-10\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/XyZ123mn_0652746727650.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/XyZ123mn_0652746727651.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"UTILITY_BILL\",\n \"files\": [\n {\n \"uri\": \"/XyZ123mn_0652746727652.pdf\"\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}{
"status": 400,
"message": "Validation failed",
"data": {}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": [
{}
]
}Create Business Customer
Attach Documents to Associated Party V2
Attach identifying documents and address documents for one or more associated parties of a business customer. Replaces the v1 proof_of_identity / proof_of_address structure with separate identifying_documents and address_documents arrays, allowing multiple ID documents per party.
POST
/
v2
/
customers
/
{customer_id}
/
associated-parties
/
individual
/
attach
Attach Documents to Associated Party V2
curl --request POST \
--url https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associated_party_attachments": [
{
"associated_party_id": "f6b13e01-044a-4f74-a70b-d5f66b6449af",
"identifying_documents": [
{
"type": "PASSPORT",
"number": "A12345678",
"country": "USA",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"files": [
{
"uri": "/AbAcQ4hn_0652746727637.pdf"
}
]
},
{
"type": "DRIVERS_LICENSE",
"number": "DL987654321",
"country": "USA",
"issue_date": "2019-06-01",
"expiry_date": "2029-06-01",
"files": [
{
"side": "FRONT",
"uri": "/AbAcQ4hn_0652746727645.pdf"
},
{
"side": "BACK",
"uri": "/AbAcQ4hn_0652746727646.pdf"
}
]
}
],
"address_documents": [
{
"type": "BANK_STATEMENT",
"files": [
{
"uri": "/AbAcQ4hn_0652746727638.pdf"
}
]
}
],
"supporting_documents": []
},
{
"associated_party_id": "f71dc19f-b9a0-49fb-bd2d-5add3c01626e",
"identifying_documents": [
{
"type": "NATIONAL_ID",
"number": "NID-987654",
"country": "USA",
"issue_date": "2021-03-10",
"expiry_date": "2031-03-10",
"files": [
{
"side": "FRONT",
"uri": "/XyZ123mn_0652746727650.pdf"
},
{
"side": "BACK",
"uri": "/XyZ123mn_0652746727651.pdf"
}
]
}
],
"address_documents": [
{
"type": "UTILITY_BILL",
"files": [
{
"uri": "/XyZ123mn_0652746727652.pdf"
}
]
}
]
}
]
}
'const url = 'https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associated_party_attachments: [
{
associated_party_id: 'f6b13e01-044a-4f74-a70b-d5f66b6449af',
identifying_documents: [
{
type: 'PASSPORT',
number: 'A12345678',
country: 'USA',
issue_date: '2020-01-15',
expiry_date: '2030-01-15',
files: [{uri: '/AbAcQ4hn_0652746727637.pdf'}]
},
{
type: 'DRIVERS_LICENSE',
number: 'DL987654321',
country: 'USA',
issue_date: '2019-06-01',
expiry_date: '2029-06-01',
files: [
{side: 'FRONT', uri: '/AbAcQ4hn_0652746727645.pdf'},
{side: 'BACK', uri: '/AbAcQ4hn_0652746727646.pdf'}
]
}
],
address_documents: [{type: 'BANK_STATEMENT', files: [{uri: '/AbAcQ4hn_0652746727638.pdf'}]}],
supporting_documents: []
},
{
associated_party_id: 'f71dc19f-b9a0-49fb-bd2d-5add3c01626e',
identifying_documents: [
{
type: 'NATIONAL_ID',
number: 'NID-987654',
country: 'USA',
issue_date: '2021-03-10',
expiry_date: '2031-03-10',
files: [
{side: 'FRONT', uri: '/XyZ123mn_0652746727650.pdf'},
{side: 'BACK', uri: '/XyZ123mn_0652746727651.pdf'}
]
}
],
address_documents: [{type: 'UTILITY_BILL', files: [{uri: '/XyZ123mn_0652746727652.pdf'}]}]
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"associated_party_attachments\": [\n {\n \"associated_party_id\": \"f6b13e01-044a-4f74-a70b-d5f66b6449af\",\n \"identifying_documents\": [\n {\n \"type\": \"PASSPORT\",\n \"number\": \"A12345678\",\n \"country\": \"USA\",\n \"issue_date\": \"2020-01-15\",\n \"expiry_date\": \"2030-01-15\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727637.pdf\"\n }\n ]\n },\n {\n \"type\": \"DRIVERS_LICENSE\",\n \"number\": \"DL987654321\",\n \"country\": \"USA\",\n \"issue_date\": \"2019-06-01\",\n \"expiry_date\": \"2029-06-01\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/AbAcQ4hn_0652746727645.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/AbAcQ4hn_0652746727646.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"BANK_STATEMENT\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727638.pdf\"\n }\n ]\n }\n ],\n \"supporting_documents\": []\n },\n {\n \"associated_party_id\": \"f71dc19f-b9a0-49fb-bd2d-5add3c01626e\",\n \"identifying_documents\": [\n {\n \"type\": \"NATIONAL_ID\",\n \"number\": \"NID-987654\",\n \"country\": \"USA\",\n \"issue_date\": \"2021-03-10\",\n \"expiry_date\": \"2031-03-10\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/XyZ123mn_0652746727650.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/XyZ123mn_0652746727651.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"UTILITY_BILL\",\n \"files\": [\n {\n \"uri\": \"/XyZ123mn_0652746727652.pdf\"\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach"
payload = { "associated_party_attachments": [
{
"associated_party_id": "f6b13e01-044a-4f74-a70b-d5f66b6449af",
"identifying_documents": [
{
"type": "PASSPORT",
"number": "A12345678",
"country": "USA",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"files": [{ "uri": "/AbAcQ4hn_0652746727637.pdf" }]
},
{
"type": "DRIVERS_LICENSE",
"number": "DL987654321",
"country": "USA",
"issue_date": "2019-06-01",
"expiry_date": "2029-06-01",
"files": [
{
"side": "FRONT",
"uri": "/AbAcQ4hn_0652746727645.pdf"
},
{
"side": "BACK",
"uri": "/AbAcQ4hn_0652746727646.pdf"
}
]
}
],
"address_documents": [
{
"type": "BANK_STATEMENT",
"files": [{ "uri": "/AbAcQ4hn_0652746727638.pdf" }]
}
],
"supporting_documents": []
},
{
"associated_party_id": "f71dc19f-b9a0-49fb-bd2d-5add3c01626e",
"identifying_documents": [
{
"type": "NATIONAL_ID",
"number": "NID-987654",
"country": "USA",
"issue_date": "2021-03-10",
"expiry_date": "2031-03-10",
"files": [
{
"side": "FRONT",
"uri": "/XyZ123mn_0652746727650.pdf"
},
{
"side": "BACK",
"uri": "/XyZ123mn_0652746727651.pdf"
}
]
}
],
"address_documents": [
{
"type": "UTILITY_BILL",
"files": [{ "uri": "/XyZ123mn_0652746727652.pdf" }]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/{customer_id}/associated-parties/individual/attach"
payload := strings.NewReader("{\n \"associated_party_attachments\": [\n {\n \"associated_party_id\": \"f6b13e01-044a-4f74-a70b-d5f66b6449af\",\n \"identifying_documents\": [\n {\n \"type\": \"PASSPORT\",\n \"number\": \"A12345678\",\n \"country\": \"USA\",\n \"issue_date\": \"2020-01-15\",\n \"expiry_date\": \"2030-01-15\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727637.pdf\"\n }\n ]\n },\n {\n \"type\": \"DRIVERS_LICENSE\",\n \"number\": \"DL987654321\",\n \"country\": \"USA\",\n \"issue_date\": \"2019-06-01\",\n \"expiry_date\": \"2029-06-01\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/AbAcQ4hn_0652746727645.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/AbAcQ4hn_0652746727646.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"BANK_STATEMENT\",\n \"files\": [\n {\n \"uri\": \"/AbAcQ4hn_0652746727638.pdf\"\n }\n ]\n }\n ],\n \"supporting_documents\": []\n },\n {\n \"associated_party_id\": \"f71dc19f-b9a0-49fb-bd2d-5add3c01626e\",\n \"identifying_documents\": [\n {\n \"type\": \"NATIONAL_ID\",\n \"number\": \"NID-987654\",\n \"country\": \"USA\",\n \"issue_date\": \"2021-03-10\",\n \"expiry_date\": \"2031-03-10\",\n \"files\": [\n {\n \"side\": \"FRONT\",\n \"uri\": \"/XyZ123mn_0652746727650.pdf\"\n },\n {\n \"side\": \"BACK\",\n \"uri\": \"/XyZ123mn_0652746727651.pdf\"\n }\n ]\n }\n ],\n \"address_documents\": [\n {\n \"type\": \"UTILITY_BILL\",\n \"files\": [\n {\n \"uri\": \"/XyZ123mn_0652746727652.pdf\"\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}{
"status": 400,
"message": "Validation failed",
"data": {}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": [
{}
]
}- Upload files first using Upload document to obtain URIs, then reference them here.
- The
associated_party_idfor each party is returned in the Get Customer Details V2 response.
Identity Document Side Requirements
| Type | Sides Required |
|---|---|
PASSPORT | No (single image) |
NATIONAL_ID | Yes: FRONT + BACK |
DRIVERS_LICENSE | Yes: FRONT + BACK |
RESIDENCE_PERMIT | No (single image) |
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Unique identifier for the business customer
Body
application/json
Array of document attachments, one entry per associated party. Multiple parties can be submitted in a single request.
Minimum array length:
1Show child attributes
Show child attributes
Response
Documents attached successfully
Generic response object
⌘I
